Bug 458 - Uppaal server crashes with certain use of channel priorities
Summary: Uppaal server crashes with certain use of channel priorities
Status: RESOLVED FIXED
Alias: None
Product: UPPAAL
Classification: Unclassified
Component: Engine (show other bugs)
Version: 4.0.7
Hardware: PC Windows XP
: P1 critical
Assignee: Alexandre David
URL:
Depends on:
Blocks:
 
Reported: 2009-01-17 23:01 CET by Frits Vaandrager
Modified: 2009-03-19 13:41 CET (History)
1 user (show)

See Also:
Architecture:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Frits Vaandrager 2009-01-17 23:01:47 CET
The attached model is made to solve the jealous husbands problem, see
http://en.wikipedia.org/wiki/Missionaries_and_cannibals_problem.  Since
Uppaal has no until operator, I need to give priority to affairs with other
woman whenever possible ;-)  The resulting model is syntactically correct
but when I start the simulator or verifier, the server crashes.
When I remove the channel priority declaration there is no problem.
I believe this is a bug.

Why is there no possibility to append a Uppaal model in a bug report?
I will send it to Alexander
Comment 1 Alexandre David 2009-03-10 11:24:23 CET
If you create an attachment, you can join the model. Could do it or send it to me?
Comment 2 Alexandre David 2009-03-19 13:41:28 CET
Fixed in rev. 4271.